Announcement

Collapse
No announcement yet.

vérification des composants php

Collapse
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

  • pymouse
    replied
    J'ai finalement fini par résoudre mon problème.
    Comme j'ai deux version de php sur ma machine...
    #pear <- fait référence a /usr/local/bin/pear
    j'ai donc fait
    #/usr/bin/pear install <package> <- le pear utilisé par mon serveur apache
    Code:
    # /usr/bin/pear list
    Installed packages, channel pear.php.net:
    =========================================
    Package                       Version  State
    Archive_Tar                   1.3.2    stable
    Auth_SASL                     1.0.2    stable
    Console_Getopt                1.2      stable
    DB                            1.7.11   stable
    DB_DataObject                 1.8.4    stable
    DB_DataObject_FormBuilder     1.0.0RC4 beta
    Date                          1.4.7    stable
    HTML_Common                   1.2.2    stable
    HTML_QuickForm                3.2.5    stable
    HTML_QuickForm_advmultiselect 1.2.0    stable
    HTML_Table                    1.6.1    stable
    HTTP                          1.2.2    stable
    Image_Canvas                  0.3.0    alpha
    Image_Color                   1.0.2    stable
    Image_Graph                   0.7.2    alpha
    Image_GraphViz                1.2.1    stable
    MDB2                          2.2.0    stable
    Mail                          1.1.3    stable
    Mail_Mime                     1.4.0RC3 beta
    Net_Ping                      2.4.1    stable
    Net_SMTP                      1.2.3    stable
    Net_Socket                    1.0.1    stable
    Net_Traceroute                0.21.1   alpha
    Numbers_Roman                 1.0.1    beta
    Numbers_Words                 0.14.0   beta
    PEAR                          1.5.3    stable
    Structures_Graph              1.0.2    stable
    Validate                      0.7.0    beta
    XML_Parser                    1.0.1    stable
    XML_RPC                       1.5.1    stable
    Voili voilu ^^

    Maintenant je suis bloqué a l'étape 10...ça avance ça avance

    Leave a comment:


  • furtif
    replied
    Donne nous la liste de "pear list" s'il te plait

    Leave a comment:


  • Locki
    replied
    Et bien non, mon path est correct, du moins je pense!

    Where is PEAR Path ?
    default to [/usr/share/pear]:
    PEAR Path /usr/share/pear/PEAR.php OK

    si je vais dans /usr/share/pear/, j'ai bien mes fichiers qui sont là, pas de souci!

    d'ou cela peut-il venir encore?

    merci bien

    Leave a comment:


  • anouar
    replied
    merci pour ton aide tor

    Leave a comment:


  • anouar
    replied
    slt pymouse, je pense ke tu dois utiliser yum, c'est un gestionnaire de packages tres puissant, c'est l'équivalent de urpm sous mandrake

    Leave a comment:


  • Tor
    replied
    wep!
    cherche sur le forum y a plein de réponse pour ton cas
    moi jme bar alors peu pu t'aider

    Leave a comment:


  • pymouse
    replied
    J'aimerai bien faire des apt-get install, mais je suis sous red hat entreprise :rolleyes:
    Et je ne trouve pas de rpm...

    Leave a comment:


  • anouar
    replied
    jte remercie pour tes reponses,
    j'ai tapé "pear help version" il m affiché ça :
    PEAR Version: 1.3.2
    PHP Version: 4.3.9
    Zend Engine Version: 1.3.0
    Running on: Linux nagios2 2.6.9-42.EL #1 Sat Aug 12 09:17:58 CDT 2006 i686

    donc il fo ke je telecharge une version plus recente?

    Leave a comment:


  • Tor
    replied
    nan c pas ça ta version de pear
    tape la commande suivante:
    pear version
    si ta pas la bonne version tu suit ça:
    http://pear.php.net/manual/fr/installation.getting.php
    et une foi que ta la bonne version tu suit ça:
    http://pear.php.net/manual/fr/installation.cli.php

    Leave a comment:


  • anouar
    replied
    voici tor la version que j'ai php-pear-4.3.9-3.22.4

    Leave a comment:


  • furtif
    replied
    Ton pear list me semble petit !!
    voici le mien :
    Code:
    Package                       Version  State
    Archive_Tar                   1.3.2    stable
    Auth_SASL                     1.0.2    stable
    Console_Getopt                1.2.2    stable
    DB                            1.7.11   stable
    DB_DataObject                 1.8.5    stable
    DB_DataObject_FormBuilder     1.0.0RC7 beta
    Date                          1.4.7    stable
    HTML_Common                   1.2.3    stable
    HTML_QuickForm                3.2.7    stable
    HTML_QuickForm_advmultiselect 1.3.1    stable
    HTML_Table                    1.7.5    stable
    HTML_Template_IT              1.2.1    stable
    HTTP                          1.4.0    stable
    Image_Canvas                  0.3.0    alpha
    Image_Color                   1.0.2    stable
    Image_Graph                   0.7.2    alpha
    Image_GraphViz                1.2.1    stable
    MDB2                          2.4.0    stable
    Mail                          1.1.14   stable
    Mail_Mime                     1.3.1    stable
    Net_Ping                      2.4.1    stable
    Net_SMTP                      1.2.10   stable
    Net_Socket                    1.0.7    stable
    Net_Traceroute                0.21.1   alpha
    Net_UserAgent_Detect          2.2.0    stable
    Numbers_Roman                 0.2.0    stable
    Numbers_Words                 0.15.0   beta
    PEAR                          1.5.2    stable
    PEAR_PackageFileManager       1.6.0    stable
    Structures_Graph              1.0.2    stable
    Validate                      0.7.0    beta
    XML_Parser                    1.2.8    stable
    XML_RPC                       1.5.1    stable
    Fait un apt-get install de chaque package. Moi avec les 4 que tu avais, j'ai jamais réussi a faire marché le bazard. J'ai du tout installer comme sa, et la seulement sa marché

    Leave a comment:


  • cmoi
    replied
    Vérifie le path de pear. Tu as peut être indiqué le mauvais path pendant le setup.sh

    Leave a comment:


  • Locki
    replied
    hello à tous

    je suis dans le même style de galère, avec oreon 1.4, nagios 2.5 et pear 1.5.3 (et php 4.4.0).

    Je suis à l'étape 5 d'oréon, et il ne me trouve aucun composants pear d'installés! (ils sont tous en Failed)

    Pourtant, lorsque je fais un pear list, ils sont bien tous installés, et avec la dernière version chaque fois...

    J'ai essayé pas mal de choses: remettre pear à plat (désinstall complète, réinstall avec go-pear et en méthode classique, idem avec oreon, je réinstalle par dessus les morceaux deja en place!

    D'ou peut venir le problème de détection? Pourquoi oreon ne me détecte pas mes composants pear, qui sont installés?

    Et a l'étape 4 d'oréon, tout est OK...

    Merci de votre aide!

    Leave a comment:


  • pymouse
    replied
    J'ai trouvé l'adr du proxy

    mais ca ne fonctionne toujours pas ....

    # pear list
    Installed packages, channel pear.php.net:
    =========================================
    Package Version State
    Archive_Tar 1.3.2 stable
    Console_Getopt 1.2 stable
    PEAR 1.4.11 stable


    # pear version
    PEAR Version: 1.4.11
    PHP Version: 5.2.1
    Zend Engine Version: 2.2.0
    Running on: Linux win167 2.6.9-42.ELsmp #1 SMP Wed Jul 12 23:27:17 EDT 2006 i686

    # pear install Date
    No releases available for package "pear.php.net/Date"
    Cannot initialize 'Date', invalid or missing package file
    Package "Date" is not valid
    install failed
    Last edited by pymouse; 24 April 2007, 17:38.

    Leave a comment:


  • Tor
    replied
    g fini l'install chui entrin de faire fonctionner les plugins!
    et ç galere!! mais t'inquiéte en cherchant dans le forum on trouve notre bonheur!
    bon sinon pout on probléme quel version de pear a tu?
    pear version
    y faut avoir la 1.5.2 pour que tout ce passe correctement

    Leave a comment:

Working...
X